Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.palm.io.scanner
Class ScanEvent

    java.lang.Object
      |
      +--waba.ui.Event
            |
            +--superwaba.ext.palm.io.scanner.ScanEvent

public class ScanEvent
extends Event

ScanEvent is an event thrown by the Symbol barcode scanner.

Field Summary
`static int` | `BATTERY_ERROR` The event type for a scanner low battery event.
`String` | `data` The data resulting from the scan when type is `SCANNED`.
`static int` | `SCANNED` The event type for a scanner scanning event.
`static int` | `TRIGGERED` The event type for a scanner triggered: A scan attempt was initiated - hard or soft trigger.

Fields inherited from class waba.ui.Event
`consumed, target, timeStamp, type`

Constructor Summary
`ScanEvent(int type)` Constructs a scan event of the given type. target is always null. guich@200b2: added a parameter to the constructor.

Methods inherited from class waba.ui.Event
`getNextAvailableEventId, isAvailable, touch`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Field Detail

### SCANNED

    public static final int SCANNED

  The event type for a scanner scanning event. Note that since they are set at runtime, you cannot use them in a switch statement.

### BATTERY_ERROR

    public static final int BATTERY_ERROR

  The event type for a scanner low battery event. Note that since they are set at runtime, you cannot use them in a switch statement.

### TRIGGERED

    public static final int TRIGGERED

  The event type for a scanner triggered: A scan attempt was initiated - hard or soft trigger. Note that since they are set at runtime, you cannot use them in a switch statement.

### data

    public String data

  The data resulting from the scan when type is `SCANNED`. String matches the data returned by ScanGetDecodedData function in Symbol's ScanMgr library.

Constructor Detail

### ScanEvent

    public ScanEvent(int type)

  Constructs a scan event of the given type. target is always null. guich@200b2: added a parameter to the constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD